GET /gslb/remote_site_watcher/summary/

GET /gslb/remote_site_watcher/summary/

/gslb/remote_site_watcher/summary/

Request
URI
GET
https://{api_host}/api/gslb/remote_site_watcher/summary
COPY
Header Parameters
string
X-Avi-Tenant
Optional

Avi Tenant Header

string
X-Avi-Tenant-UUID
Optional

Avi Tenant Header UUID

string
X-CSRFToken
Optional

Avi Controller may send back CSRF token in the response cookies. The caller should update the request headers with this token else controller will reject requests.

string
X-Avi-Version
Required  

The caller is required to set Avi Version Header to the expected version of configuration. The response from the controller will provide and accept data according to the specified version. The controller will reject POST and PUT requests where the data is not compatible with the specified version.


Authentication
This operation uses the following authentication methods.
Responses
200

OK

Returns RemoteSiteWatcherSummary of type(s) application/json
{
    "agent_type": "string",
    "client_queue_size": 0,
    "mode": "string",
    "operation": "string",
    "peer_uuid": "string",
    "stream_queue_size": 0
}
string
agent_type
Optional

Capability supported by this agent.. Enum options - MESSAGE_FEDERATED, MESSAGE_HEALTH_STATUS, MESSAGE_PING, MESSAGE_GRPC_STATUS, MESSAGE_STATE_SYNC, MESSAGE_BULK_GET, MESSAGE_DECLARATIVE. Field introduced in 20.1.1. Allowed with any value in Enterprise, Essentials, Basic, Enterprise with Cloud Services edition.

integer As uint32 As uint32
client_queue_size
Optional

Number of objects waiting for the client to consume. Field introduced in 20.1.1. Allowed with any value in Enterprise, Essentials, Basic, Enterprise with Cloud Services edition.

string
mode
Optional

Remote site watcher mode. Enum options - SERVER_MODE, CLIENT_MODE. Field introduced in 20.1.1. Allowed with any value in Enterprise, Essentials, Basic, Enterprise with Cloud Services edition.

string
operation
Optional

Site operation. Enum options - OPERATION_SYNC, OPERATION_WATCH, OPERATION_BULK_GET. Field introduced in 20.1.1. Allowed with any value in Enterprise, Essentials, Basic, Enterprise with Cloud Services edition.

string
peer_uuid
Optional

Cluster UUID of connected site. Field introduced in 20.1.1. Allowed with any value in Enterprise, Essentials, Basic, Enterprise with Cloud Services edition.

integer As uint32 As uint32
stream_queue_size
Optional

Number of objects waiting for the stream to send/receive. Field introduced in 20.1.1. Allowed with any value in Enterprise, Essentials, Basic, Enterprise with Cloud Services edition.


401

log in failed

Operation doesn't return any data structure

Code Samples
COPY
                    curl -H 'Authorization: <value>' https://{api_host}/api/gslb/remote_site_watcher/summary